#ifndef APP_CALLBACK_H
#define APP_CALLBACK_H

#include "cmsis_os2.h"
#include "usart.h"

#ifdef __cplusplus
extern "C" {
#endif

void UART1_StartRxIT(void);
void UART2_StartRxIT(void);
void UART3_StartRxIT(void);
void UART4_StartRxIT(void);
void UART1_RegisterTaskHandle(osThreadId_t tid);

#ifdef __cplusplus
}
#endif

#endif /* APP_CALLBACK_H */
